  <data name="AD">
    <container>
      <oc>organizationalUnit</oc>
      <rdn>ou=AD</rdn>
    </container>
    <handler name="Setval">
      <libload>LISM/Utils/lism_util.pl</libload>
      <entry dn="^uid=[^,]+,">
        <default name="userPrincipalName">
          <value type="function">getValue($entryStr, 'uid').'@example.com'</value>
        </default>
        <default name="userAccountControl">
          <value type="constant">512</value>
        </default>
        <default name="displayName">
          <value type="function">getValue($entryStr, 'cn')</value>
        </default>
      </entry>
    </handler>
    <storage name="AD" hash="AD">
      <uri>ldap://localhost/dc=example,dc=com</uri>
      <binddn>cn=Administrator,cn=users,dc=example,dc=com</binddn>
      <bindpw>secret</bindpw>
      <ldapmap type="dn" local="uid" foreign="cn"/>
      <ldapmap type="objectclass" local="person" foreign="user"/>
      <ldapmap type="attribute" local="uid" foreign="sAMAccountName"/>
      <ldapmap type="attribute" local="userPassword" foreign="unicodePwd"/>
      <ldapmap type="attribute" local="homeDirectory" foreign="unixHomeDirectory"/>
      <ldapmap type="attribute" local="seciossCertificate" foreign="userCertificate;binary"/>
    </storage>
  </data>
